List Application Files
curl --request GET \
--url https://api.lendflow.com/api/applications/{application_id}/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lendflow.com/api/applications/{application_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"mime_type": "image/png",
"original_name": "bfc53181-d647-36b2-9080-f9c2b76006f4.png",
"file_url": "",
"file_type": null,
"file_size": 8717583,
"type": 5,
"has_metadata": false,
"created_at": null,
"updated_at": null,
"outcome": null,
"reason": null
},
{
"id": null,
"mime_type": "image/png",
"original_name": "1937113a-b0a2-3b03-925a-3163292463db.png",
"file_url": "",
"file_type": null,
"file_size": 4982151,
"type": 5,
"has_metadata": false,
"created_at": null,
"updated_at": null,
"outcome": null,
"reason": null
}
]
}Documents
List Application Files
Returns all files attached to an application, including who uploaded each file and any comments left on it.
GET
/
api
/
applications
/
{application_id}
/
files
List Application Files
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": null,
"mime_type": "image/png",
"original_name": "bfc53181-d647-36b2-9080-f9c2b76006f4.png",
"file_url": "",
"file_type": null,
"file_size": 8717583,
"type": 5,
"has_metadata": false,
"created_at": null,
"updated_at": null,
"outcome": null,
"reason": null
},
{
"id": null,
"mime_type": "image/png",
"original_name": "1937113a-b0a2-3b03-925a-3163292463db.png",
"file_url": "",
"file_type": null,
"file_size": 4982151,
"type": 5,
"has_metadata": false,
"created_at": null,
"updated_at": null,
"outcome": null,
"reason": null
}
]
Was this page helpful?